// Code generated by mockery v2.42.3. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
)

// MockInterface is an autogenerated mock type for the Interface type
type MockInterface struct {
	mock.Mock
}

type MockInterface_Expecter struct {
	mock *mock.Mock
}

func (_m *MockInterface) EXPECT() *MockInterface_Expecter {
	return &MockInterface_Expecter{mock: &_m.Mock}
}

// HandleQuery provides a mock function with given fields: ctx, queryStr
func (_m *MockInterface) HandleQuery(ctx context.Context, queryStr string) string {
	ret := _m.Called(ctx, queryStr)

	if len(ret) == 0 {
		panic("no return value specified for HandleQuery")
	}

	var r0 string
	if rf, ok := ret.Get(0).(func(context.Context, string) string); ok {
		r0 = rf(ctx, queryStr)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MockInterface_HandleQuery_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'HandleQuery'
type MockInterface_HandleQuery_Call struct {
	*mock.Call
}

// HandleQuery is a helper method to define mock.On call
//   - ctx context.Context
//   - queryStr string
func (_e *MockInterface_Expecter) HandleQuery(ctx interface{}, queryStr interface{}) *MockInterface_HandleQuery_Call {
	return &MockInterface_HandleQuery_Call{Call: _e.mock.On("HandleQuery", ctx, queryStr)}
}

func (_c *MockInterface_HandleQuery_Call) Run(run func(ctx context.Context, queryStr string)) *MockInterface_HandleQuery_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string))
	})
	return _c
}

func (_c *MockInterface_HandleQuery_Call) Return(_a0 string) *MockInterface_HandleQuery_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockInterface_HandleQuery_Call) RunAndReturn(run func(context.Context, string) string) *MockInterface_HandleQuery_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockInterface creates a new instance of MockInterface. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockInterface(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockInterface {
	mock := &MockInterface{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
